petsc-3.4.2 2013-07-02

# KSPMonitorCancel

Clears all monitors for a KSP object.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorCancel(KSP ksp)

Logically Collective on KSP

### Input Parameters

ksp -iterative context obtained from KSPCreate()

### Options Database Key

-ksp_monitor_cancel -Cancels all monitors that have been hardwired into a code by calls to KSPMonitorSet(), but does not cancel those set via the options database.

### Keywords

KSP, set, monitor

### See Also

KSPMonitorDefault(), KSPMonitorLGResidualNormCreate(), KSPMonitorSet()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex30.c.html